<template>
  <div>
    <Busqueda @ocultarGrilla="ocultarGrilla" @mostrarGrilla="mostrarGrilla"
      @actUsarPerfilConsulta="actUsarPerfilConsulta" />
    <Grilla v-show="verGrilla" class="mt-5" :usar-perfil-consulta="usarPerfilConsulta" />
  </div>
</template>

<script setup lang="ts">
// Librerías
import { computed, ref, onMounted } from "vue";
import { BreadCrumbRoute } from "@hcd-bsas/vue3-components";
import { useBreadcrumb, isEmpty } from "@/shared.js";
import type { RouteLocationRaw } from 'vue-router';
import { useRoute, useRouter } from "vue-router";
// Componentes
import Busqueda from "@/components/solicitantes/consulta/Busqueda.vue";
import Grilla from "@/components/solicitantes/consulta/Grilla.vue";

const router = useRouter();
const { breadcrumb } = useBreadcrumb();

const verGrilla = ref(false);
const usarPerfilConsulta = ref(null as number | null);

onMounted(() => {
  const routes: BreadCrumbRoute[] = [{ name: String(router.currentRoute.value.name) }];
  breadcrumb?.initRoutes(routes);
});

function ocultarGrilla() {
  verGrilla.value = false;
}

function mostrarGrilla() {
  verGrilla.value = true;
}

function actUsarPerfilConsulta(newUsarPerfilConsulta: number) {
  usarPerfilConsulta.value = newUsarPerfilConsulta;
}

</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped></style>
